My Oracle Support Banner

Applying OFSAA Patch in Environment With Oracle Wallet Fails With "ORA-01017: invalid username/password; logon denied" Error (Doc ID 2789987.1)

Last updated on AUGUST 24, 2021

Applies to:

Oracle Financial Services Analytical Applications Infrastructure - Version 8.1.1 and later
Information in this document applies to any platform.
Oracle Financial Services Asset Liability Management (ALM)
Oracle Financial Services Funds Transfer Pricing (FTP)
Oracle Financial Services Profitability Management (PFT)
Oracle Financial Services Analytical Applications Infrastructure (OFSAAI)
Oracle Financial Services Analytical Applications (OFSAA)
Oracle Financial Services Enterprise Performance Management (EPM)

Symptoms

Applying patch in OFSAA environment with Oracle Wallet fails with invalid username/password error (see below output of applying PFT 8.1.1.0.2 patch for example).

$ ./setup.sh
CTRL characters removal from files started ...
CTRL characters removal from files over ...
./setup.sh: line 92: lsb_release: not found
 **************** Starting patch installation of OFS_PAM_PACK ~~ OFS_PFT ~~ 8.1.1.0.2 **************
Database Connection Creation Failed : ORA-01017: invalid username/password; logon denied

 

Reveleus.SEC is kept on application server (which is still required despite using Oracle Wallet), but contained password is altered for the purpose of testing Oracle Wallet mechanism.

Seems that DB authentication with Oracle Wallet is not used during patch application and installer uses password in Reveleus.SEC.

 

ERROR

ORA-01017: invalid username/password; logon denied

Changes

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Changes
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.